﻿///////////////////////////////////////////////////////////////////////////////

COMPONENT_NAME = 'PipelineDemo';

///////////////////////////////////////////////////////////////////////////////

// Instantiate objects CRM, FSO and WshShell
(function ()
{
//	load CRM object
    var sInstall, SID, isHTTPS, serverName;
    var aTmp = Param('url').split('://');
    isHTTPS = (aTmp[0].toLowerCase() == 'https') ? 'on' : 'off';
    aTmp = aTmp[1].split('/');
    serverName = aTmp[0];
    sInstall = aTmp[1];
    SID = aTmp[3].substr('3');
    CRM = new ActiveXObject("eWare." + sInstall);
    CRM.Init(SID, "undefined", isHTTPS, serverName, true, "", "");
// load FSO
    FSO = new ActiveXObject("Scripting.FileSystemObject");
// load WshShell
    WshShell = new ActiveXObject("WScript.Shell");
// get INSTALL_PATH
    INSTALL_PATH = WshShell.RegRead("HKLM\\SOFTWARE\\eWare\\Config\\/" + sInstall + "\\InstallDirName");
	INSTALL_PATH = INSTALL_PATH.substring(0,INSTALL_PATH.length-1);
})();

///////////////////////////////////////////////////////////////////////////////


//----------------------------------------//
// Copy files 
//----------------------------------------//

// Copies all files from the component root folder into the crm install folder
FSO.CopyFolder(INSTALL_PATH + '\\inf\\' + COMPONENT_NAME + '\\root', INSTALL_PATH , true);






CreateTable('Project','proj','proj_ProjectID',true,false,false,false);
AddColumn('Project','proj_CompanyId','31','1','true','false');
AddColumn('Project','proj_PersonId','31','1','true','false');
AddColumn('Project','proj_UserId','31','1','true','false');
var TableId10226 = AddCustom_Tables('Project','','','Project','proj','proj_ProjectID','y','','',false);
AddCustom_Data('Custom_Tables','Bord','Bord_TableId','Bord_TableId,Bord_PersonUpdateFieldName,Bord_CompanyUpdateFieldName,Bord_AssignedUserId,Bord_SoloOptions,Bord_SoloDateOptions,Bord_CEOptions,Bord_SLAIdField,Bord_SDataAccess', TableId10226+',"proj_PersonId","proj_CompanyId","proj_UserId","","","","","N"','1');


/*

Columns that have been added or updated

*/

var EditsId96 = AddCustom_Edits('Company','Comp_CompanyId','31','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId96+',"",""','1');
AddCustom_Data('FieldSecurity', 'FdSe', 'FdSe_FldSecurId','FdSe_ColPropsId,FdSe_SecType,FdSe_RecordId,FdSe_Permissions',EditsId96+',0,0,5','1,2,3');

AddColumn('Notes','Note_ForeignId','31','(0)','true','false');
var EditsId201 = AddCustom_Edits('Notes','Note_ForeignId','31','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId201+',"",""','1');
AddCustom_Data('FieldSecurity', 'FdSe', 'FdSe_FldSecurId','FdSe_ColPropsId,FdSe_SecType,FdSe_RecordId,FdSe_Permissions',EditsId201+',0,0,5','1,2,3');

AddColumn('Notes','Note_ForeignId','31','(0)','true','false');
var EditsId201 = AddCustom_Edits('Notes','Note_ForeignId','31','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId201+',"",""','1');
AddCustom_Data('FieldSecurity', 'FdSe', 'FdSe_FldSecurId','FdSe_ColPropsId,FdSe_SecType,FdSe_RecordId,FdSe_Permissions',EditsId201+',0,0,5','1,2,3');
var EditsId102 = AddCustom_Edits('Person','Pers_PersonId','31','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId102+',"",""','1');
AddCustom_Data('FieldSecurity', 'FdSe', 'FdSe_FldSecurId','FdSe_ColPropsId,FdSe_SecType,FdSe_RecordId,FdSe_Permissions',EditsId102+',0,0,5','1,2,3');

AddColumn('Project','proj_Name','10','(30)','true','false');
var EditsId11995 = AddCustom_Edits('Project','proj_Name','10','0','','30','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId11995+',"4","30"','1');

AddColumn('Project','proj_SecTerr','31','(21)','true','false');
var EditsId11996 = AddCustom_Edits('Project','proj_SecTerr','53','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId11996+',"5","21"','1');

AddColumn('Project','proj_CreatedBy','31','(21)','true','false');
var EditsId11997 = AddCustom_Edits('Project','proj_CreatedBy','22','0','','0','','','','N','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId11997+',"5","21"','1');

AddColumn('Project','proj_UpdatedBy','31','(21)','true','false');
var EditsId11998 = AddCustom_Edits('Project','proj_UpdatedBy','22','0','','0','','','','N','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId11998+',"5","21"','1');

AddColumn('Project','proj_TimeStamp','41','(21)','true','false');
var EditsId11999 = AddCustom_Edits('Project','proj_TimeStamp','41','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId11999+',"2","21"','1');

AddColumn('Project','proj_deleted','31','(21)','true','false');
var EditsId12000 = AddCustom_Edits('Project','proj_deleted','31','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12000+',"5","21"','1');

AddColumn('Project','proj_deleted','31','(21)','true','false');
var EditsId12000 = AddCustom_Edits('Project','proj_deleted','31','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12000+',"5","21"','1');
var EditsId12001 = AddCustom_Edits('Project','proj_ProjectID','31','0','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12001+',"5","21"','1');

AddColumn('Project','proj_UpdatedDate','41','(21)','true','false');
var EditsId12002 = AddCustom_Edits('Project','proj_UpdatedDate','41','0','','0','','','','N','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12002+',"2","21"','1');

AddColumn('Project','proj_CreatedDate','41','(21)','true','false');
var EditsId12003 = AddCustom_Edits('Project','proj_CreatedDate','41','0','','0','','','','N','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12003+',"2","21"','1');

AddColumn('Project','proj_Status','10','(21)','true','false');
var EditsId12004 = AddCustom_Edits('Project','proj_Status','21','0','','0','proj_Status','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12004+',"4","21"','1');

AddColumn('Project','proj_CompanyId','31','(21)','true','false');
var EditsId12005 = AddCustom_Edits('Project','proj_CompanyId','56','20','','25','Company','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12005+',"5","21"','1');

AddColumn('Project','proj_PersonId','31','(21)','true','false');
var EditsId12006 = AddCustom_Edits('Project','proj_PersonId','56','20','','25','Person','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12006+',"5","21"','1');
AddCustom_Data('Custom_Edits','ColP','ColP_ColPropsId','ColP_ColPropsId,ColP_Restricted',EditsId12006+',"proj_CompanyId"','1');
AddCustom_Data('Custom_Edits','ColP','ColP_ColPropsId','ColP_ColPropsId,ColP_SSViewField',EditsId12006+',",pers_fullname,"','1');

AddColumn('Project','proj_UserId','31','(21)','true','false');
var EditsId12007 = AddCustom_Edits('Project','proj_UserId','22','2','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12007+',"5","21"','1');

AddColumn('Project','proj_UserId','31','(21)','true','false');
var EditsId12007 = AddCustom_Edits('Project','proj_UserId','22','2','','0','','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12007+',"5","21"','1');
var EditsId326 = AddCustom_Edits('Users','User_Userid','31','0','','0','','0','N','Y','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId326+',"",""','1');
AddCustom_Data('FieldSecurity', 'FdSe', 'FdSe_FldSecurId','FdSe_ColPropsId,FdSe_SecType,FdSe_RecordId,FdSe_Permissions',EditsId326+',0,0,5','1,2,3');


/*

Screen Objects that have been added or updated

*/

ObjectName='ProjectTopContent';
ObjectType='Screen';
EntityName='Project';
TargetTable='Project';
var CObjId10671 = AddScreenObject();

ObjectName='Project';
ObjectType='TabGroup';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10672 = AddScreenObject();

ObjectName='ProjectSummaryScreen';
ObjectType='Screen';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10673 = AddScreenObject();

ObjectName='CompanyProjectGrid';
ObjectType='List';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10674 = AddScreenObject();

ObjectName='PersonProjectGrid';
ObjectType='List';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10675 = AddScreenObject();

ObjectName='ProjectGrid';
ObjectType='List';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10676 = AddScreenObject();

ObjectName='ProjectSearchBox';
ObjectType='SearchScreen';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
TargetList='ProjectGrid';
var CObjId10677 = AddScreenObject();


/*

Lists/Grids that have been added or updated

*/

DeleteCustom_ScreenObject('CompanyProjectGrid','',1);

ObjectName='CompanyProjectGrid';
ObjectType='List';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10674 = AddScreenObject();
var ListId12692 = AddCustom_Lists('CompanyProjectGrid','1','proj_Name','','','','','custom','','','Project/ProjectSummary.asp','proj_ProjectID',0,'');

DeleteCustom_ScreenObject('PersonProjectGrid','',1);

ObjectName='PersonProjectGrid';
ObjectType='List';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10675 = AddScreenObject();
var ListId12693 = AddCustom_Lists('PersonProjectGrid','1','proj_Name','','','','','custom','','','Project/ProjectSummary.asp','proj_ProjectID',0,'');

DeleteCustom_ScreenObject('ProjectGrid','',1);

ObjectName='ProjectGrid';
ObjectType='List';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10676 = AddScreenObject();
var ListId12694 = AddCustom_Lists('ProjectGrid','1','proj_Name','','','','','custom','','','Project/ProjectSummary.asp','proj_ProjectID',0,'');

var ListId12698 = AddCustom_Lists('ProjectGrid','2','proj_UserId','','','','','','','','','',0,'');

var ListId12695 = AddCustom_Lists('ProjectGrid','4','proj_CompanyId','','','','','','','','','',0,'');

var ListId12696 = AddCustom_Lists('ProjectGrid','6','proj_PersonId','','','','','','','','','',0,'');


/*

Fields on screens that have been added or updated

*/

DeleteCustom_ScreenObject('ProjectSearchBox','',1);

ObjectName='ProjectSearchBox';
ObjectType='SearchScreen';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
TargetList='ProjectGrid';
var CObjId10677 = AddScreenObject();
// Adding new screen ProjectSearchBox
EntryScreenName='ProjectSearchBox';
FieldName='proj_Name';
AddEntryScreenField();

FieldName='proj_UserId';
AddEntryScreenField();

FieldName='proj_CompanyId';
AddEntryScreenField();

FieldName='proj_PersonId';
Newline=true;
AddEntryScreenField();

DeleteCustom_ScreenObject('ProjectTopContent','',1);

ObjectName='ProjectTopContent';
ObjectType='Screen';
EntityName='Project';
TargetTable='Project';
var CObjId10671 = AddScreenObject();
// Adding new screen ProjectTopContent
EntryScreenName='ProjectTopContent';
FieldName='proj_Name';
AddEntryScreenField();

FieldName='proj_CompanyId';
Jump='company';
AddEntryScreenField();

FieldName='proj_PersonId';
Jump='person';
AddEntryScreenField();


/*

Tab groups that have been added or updated

*/

var TabsId10750 = AddCustom_Tabs(0,0,20,'Company','Project','customfile','Project/CompanyProject.asp','','',0,'Project',false,0);

var TabsId10752 = AddCustom_Tabs(0,0,20,'New','Project','customfile','Project/ProjectNew.asp','','Project.gif',0,'Project',false,0);

var TabsId10751 = AddCustom_Tabs(0,0,20,'Person','Project','customfile','Project/PersonProject.asp','','',0,'Project',false,0);

var TabsId10748 = AddCustom_Tabs(0,0,0,'Project','Project Summary','customfile','Project/ProjectSummary.asp','','',0,'Project',false,0);

var TabsId10749 = AddCustom_Tabs(0,0,1,'Project','Notes','notelist','','','',0,'Project',false,0);

var TabsId10753 = AddCustom_Tabs(0,0,21,'Project','Relationships','customdotnetdll','RelatedEntities','','',0,'',true,0);
AddCustom_Data('Custom_Tabs','Tabs','Tabs_TabId','Tabs_TabId,Tabs_NewWindow,Tabs_CustomFunction',TabsId10753+',"","RunREList"','1');

var TabsId10754 = AddCustom_Tabs(0,0,20,'User','Project','customfile','Project/ProjectUser.asp','','',0,'Project',false,0);


/*

Translations that have been added or updated

*/

FamilyType='Tags';
Family='admindescription';
Code='Project';
Captions['UK']='Customise Project fields, screens, lists, tabs, blocks, table scripts and views.';
Captions['US']='Customize Project fields, screens, lists, tabs, blocks, table scripts and views.';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_CompanyId';
Captions['DE']='Firma';
Captions['DU']='Bedrijf';
Captions['ES']='Compañía';
Captions['UK']='Company';
Captions['US']='Company';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_createddate';
Captions['UK']='Created Date';
Captions['US']='Created Date';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_PersonId';
Captions['DE']='Person';
Captions['DU']='Persoon';
Captions['ES']='Persona';
Captions['UK']='Person';
Captions['US']='Person';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_UserId';
Captions['DE']='Verantwortlich';
Captions['DU']='Gebruiker';
Captions['ES']='Usuario';
Captions['UK']='User';
Captions['US']='User';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_CreatedBy';
CaptOrder=1;
Captions['US']='proj_CreatedBy';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_deleted';
CaptOrder=1;
Captions['US']='proj_deleted';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_Name';
CaptOrder=1;
Captions['DU']='Naam';
Captions['ES']='Nombre';
Captions['FR']='Nom';
Captions['UK']='Name';
Captions['US']='Name';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_ProjectID';
CaptOrder=1;
Captions['US']='proj_ProjectID';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_SecTerr';
CaptOrder=1;
Captions['US']='Territory';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_Status';
CaptOrder=1;
Captions['US']='Status';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_TimeStamp';
CaptOrder=1;
Captions['US']='proj_TimeStamp';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_UpdatedBy';
CaptOrder=1;
Captions['US']='proj_UpdatedBy';
AddCaption();

FamilyType='Tags';
Family='ColNames';
Code='proj_UpdatedDate';
CaptOrder=1;
Captions['US']='proj_UpdatedDate';
AddCaption();

FamilyType='Tags';
Family='FindHead';
Code='Project';
Captions['DE']='Project';
Captions['DU']='Project';
Captions['ES']='Project';
Captions['FR']='Project';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();

FamilyType='Choices';
Family='MergePerson';
Code='Project';
CaptOrder=70;
Captions['UK']='Merge Project';
Captions['US']='Merge Project';
AddCaption();

FamilyType='Tags';
Family='NewHead';
Code='Project';
Captions['DE']='Project';
Captions['DU']='Project';
Captions['ES']='Project';
Captions['FR']='Project';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();

FamilyType='Choices';
Family='proj_Status';
Code='InProgress';
CaptOrder=1;
Captions['US']='In Progress';
AddCaption();

FamilyType='Choices';
Family='proj_Status';
Code='Closed';
CaptOrder=2;
Captions['US']='Closed';
AddCaption();

FamilyType='Tags';
Family='Project';
Code='NoRecordsFound';
Captions['DE']='No Project';
Captions['DU']='No Project';
Captions['ES']='No Project';
Captions['FR']='No Project';
Captions['UK']='No Project';
Captions['US']='No Project';
AddCaption();

FamilyType='Tags';
Family='Project';
Code='Project';
Captions['DE']='Project';
Captions['DU']='Project';
Captions['ES']='Project';
Captions['FR']='Project';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();

FamilyType='Tags';
Family='Project';
Code='RecordFound';
Captions['UK']='Project Found';
Captions['US']='Project Found';
AddCaption();

FamilyType='Tags';
Family='Project';
Code='RecordsFound';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();

FamilyType='Tags';
Family='Project';
Code='IdColumn';
CaptOrder=1;
Captions['DE']='proj_ProjectID';
Captions['DU']='proj_ProjectID';
Captions['ES']='proj_ProjectID';
Captions['FR']='proj_ProjectID';
Captions['UK']='proj_ProjectID';
Captions['US']='proj_ProjectID';
AddCaption();

FamilyType='Tags';
Family='Project';
Code='NameColumn';
CaptOrder=1;
Captions['DE']='proj_Name';
Captions['DU']='proj_Name';
Captions['ES']='proj_Name';
Captions['FR']='proj_Name';
Captions['UK']='proj_Name';
Captions['US']='proj_Name';
AddCaption();

FamilyType='Tags';
Family='Project';
Code='SummaryPage';
CaptOrder=1;
Captions['DE']='ProjectSummary.asp';
Captions['DU']='ProjectSummary.asp';
Captions['ES']='ProjectSummary.asp';
Captions['FR']='ProjectSummary.asp';
Captions['UK']='ProjectSummary.asp';
Captions['US']='ProjectSummary.asp';
AddCaption();

FamilyType='Tags';
Family='ProjectProgress';
Code='NoRecordsFound';
Captions['DE']='No progress records found';
Captions['DU']='No progress records found';
Captions['ES']='No progress records found';
Captions['FR']='No progress records found';
Captions['UK']='No progress records found';
Captions['US']='No progress records found';
AddCaption();

FamilyType='Tags';
Family='SS_Entities';
Code='Project';
Captions['DE']='Project';
Captions['DU']='Project';
Captions['ES']='Project';
Captions['FR']='Project';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();

FamilyType='Tags';
Family='SS_idfields';
Code='Project';
Captions['DE']='proj_ProjectID';
Captions['DU']='proj_ProjectID';
Captions['ES']='proj_ProjectID';
Captions['FR']='proj_ProjectID';
Captions['UK']='proj_ProjectID';
Captions['US']='proj_ProjectID';
AddCaption();

FamilyType='Tags';
Family='SS_SearchTables';
Code='Project';
Captions['DE']='Project';
Captions['DU']='Project';
Captions['ES']='Project';
Captions['FR']='Project';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();

FamilyType='Tags';
Family='SS_ViewFields';
Code='Project';
Captions['DE']='proj_Name';
Captions['DU']='proj_Name';
Captions['ES']='proj_Name';
Captions['FR']='proj_Name';
Captions['UK']='proj_Name';
Captions['US']='proj_Name';
AddCaption();

FamilyType='Choices';
Family='TablePrefixes';
Code='proj';
CaptOrder=1;
Captions['DE']='Project';
Captions['DU']='Project';
Captions['ES']='Project';
Captions['FR']='Project';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();

FamilyType='Choices';
Family='Tables';
Code='Project';
Captions['DE']='Project';
Captions['DU']='Project';
Captions['ES']='Project';
Captions['FR']='Project';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();

FamilyType='Tags';
Family='Tabnames';
Code='Project';
Captions['DE']='Project';
Captions['DU']='Project';
Captions['ES']='Project';
Captions['FR']='Project';
Captions['UK']='Project';
Captions['US']='Project';
AddCaption();








/*

Columns that have been added or updated

*/

AddColumn('Project','proj_stage','10','(40)','true','false');
var EditsId12008 = AddCustom_Edits('Project','proj_stage','21','0','','1','proj_stage','','','','');
AddCustom_Data('Custom_Edits', 'ColP', 'ColP_ColPropsId','ColP_ColPropsId, ColP_DataType, ColP_DataSize', EditsId12008+',"4","40"','1');
AddCustom_Data('Custom_Edits','ColP','ColP_ColPropsId','ColP_ColPropsId,ColP_TiedFields',EditsId12008+',","','1');
AddCustom_Data('Custom_Edits','ColP','ColP_ColPropsId','ColP_ColPropsId,ColP_SSViewField',EditsId12008+',","','1');


/*

Screen Objects that have been added or updated

*/

ObjectName='ProjectNewEntry';
ObjectType='Screen';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10678 = AddScreenObject();

ObjectName='ProjectUserGrid';
ObjectType='List';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10679 = AddScreenObject();

ObjectName='Project Filter';
ObjectType='SearchScreen';
EntityName='Project';
TargetTable='project';
TargetList='ProjectUserGrid';
var CObjId10680 = AddScreenObject();


/*

Lists/Grids that have been added or updated

*/

DeleteCustom_ScreenObject('ProjectUserGrid','',1);

ObjectName='ProjectUserGrid';
ObjectType='List';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10679 = AddScreenObject();
var ListId12703 = AddCustom_Lists('ProjectUserGrid','1','proj_status','','','','','custom','','','project/projectsummary.asp','proj_projectid',0,'');

var ListId12704 = AddCustom_Lists('ProjectUserGrid','2','proj_stage','','','','','custom','','','project/projectsummary.asp','proj_projectid',0,'');

var ListId12705 = AddCustom_Lists('ProjectUserGrid','3','proj_name','','','','','custom','','','Project/ProjectSummary.asp','proj_ProjectID',0,'');

var ListId12706 = AddCustom_Lists('ProjectUserGrid','4','proj_companyid','','','','','custom','','','project/projectsummary.asp','proj_projectid',0,'');

var ListId12707 = AddCustom_Lists('ProjectUserGrid','5','proj_personid','','','','','custom','','','project/projectsummary.asp','proj_projectid',0,'');


/*

Fields on screens that have been added or updated

*/

DeleteCustom_ScreenObject('Project Filter','',1);

ObjectName='Project Filter';
ObjectType='SearchScreen';
EntityName='Project';
TargetTable='project';
TargetList='ProjectUserGrid';
var CObjId10680 = AddScreenObject();
// Adding new screen Project Filter
EntryScreenName='Project Filter';
FieldName='proj_status';
AddEntryScreenField();

FieldName='proj_stage';
Newline=true;
AddEntryScreenField();

FieldName='proj_name';
Newline=true;
AddEntryScreenField();

FieldName='proj_companyid';
Newline=true;
AddEntryScreenField();

FieldName='proj_personid';
Newline=true;
AddEntryScreenField();

DeleteCustom_ScreenObject('ProjectNewEntry','',1);

ObjectName='ProjectNewEntry';
ObjectType='Screen';
EntityName='Project';
AllowDelete=false;
TargetTable='Project';
var CObjId10678 = AddScreenObject();
// Adding new screen ProjectNewEntry
EntryScreenName='ProjectNewEntry';
FieldName='proj_status';
AddEntryScreenField();

FieldName='proj_stage';
AddEntryScreenField();

FieldName='proj_name';
AddEntryScreenField();

FieldName='proj_userid';
AddEntryScreenField();

FieldName='proj_companyid';
AddEntryScreenField();

FieldName='proj_personid';
Newline=true;
AddEntryScreenField();


/*

Translations that have been added or updated

*/

FamilyType='Tags';
Family='ColNames';
Code='proj_stage';
Captions['DE']='Stage';
Captions['DU']='Stage';
Captions['ES']='Stage';
Captions['FR']='Stage';
Captions['UK']='Stage';
Captions['US']='Stage';
AddCaption();

FamilyType='Choices';
Family='proj_stage';
Code='alpha';
CaptOrder=1;
Captions['US']='Alpha';
AddCaption();

FamilyType='Choices';
Family='proj_stage';
Code='beta';
CaptOrder=2;
Captions['US']='Beta';
AddCaption();

FamilyType='Choices';
Family='proj_stage';
Code='delta';
CaptOrder=3;
Captions['US']='Delta';
AddCaption();

FamilyType='Choices';
Family='proj_stage';
Code='gamma';
CaptOrder=4;
Captions['US']='Gamma';
AddCaption();

FamilyType='Tags';
Family='Screens';
Code='Project Filter';
Captions['US']='Project Filter';
AddCaption();

